"use client";

import React from "react";
import { useRouter } from "next/navigation";
import MenuItem from "@components/MenuItem";
import MenuOptions from "@utils/MenuOptions";

const Menu = () => {
    const router = useRouter();

    const collapseMenu = (elem) => {
        const collapse = elem.target;
        let parent = collapse.parentElement;
        let parentOfTheParent = collapse.parentElement.parentElement;
        parentOfTheParent.classList.toggle("active");

        let content = parent.nextElementSibling;

        if (content.style.maxHeight) {
            content.style.maxHeight = null;
        } else {
            content.style.maxHeight = content.scrollHeight + "px";
        }
    };

    return (
        <div className='MainMenu'>
            <div className='MainMenu__container'>
                {MenuOptions.map((option) =>
                    option.children ? (
                        <MenuItem
                            option={option}
                            key={option.id}
                            router={router}
                            collapseMenu={collapseMenu}
                        />
                    ) : (
                        <div
                            href={option.toRoute}
                            className='MainMenu__a'
                            onClick={() => router.push(option.toRoute)}
                            key={option.id}>
                            <MenuItem option={option} />
                        </div>
                    )
                )}
            </div>
        </div>
    );
};

export default Menu;
