const API_URL = process.env.REACT_APP_API;
const API_URL_PRE = process.env.REACT_APP_API_PREVENTA;
const API_URL_EDU = process.env.REACT_APP_API_EDUCACION;
const API_LARAV = process.env.REACT_APP_API_LARAVEL;
const API_TG = process.env.REACT_APP_TELEGRAM_API;

const endpoints = {
    users: {
        getSellers: API_URL + "api/users",
        get: API_LARAV + "v1/users",
        store: API_LARAV + "v1/users",
        show: API_LARAV + "v1/users/%ID%",
        update: API_LARAV + "v1/users/%ID%",
        delete: API_LARAV + "v1/users/%ID%",
        restore: API_LARAV + "v1/users/%ID%/restore",
    },
    roles: {
        get: API_LARAV + "v1/roles",
        store: API_LARAV + "v1/roles",
        show: API_LARAV + "v1/roles/%ID%",
        update: API_LARAV + "v1/roles/%ID%",
        delete: API_LARAV + "v1/roles/%ID%",
    },
    google: {
        userinfo: "https://www.googleapis.com/oauth2/v1/userinfo"
    },
    email_notification: {
        store: API_URL + "guardar-correo",
        send_mails: API_URL + "enviar-correos",
        get: API_URL + "obtener-correos",
        bid_defect: API_URL + "enviar-correos-desierta",
        bid_won: API_URL + "enviar-correos-gano",
        bid_lost: API_URL + "enviar-correos-perdio",
    },
    bid: {
        get: API_URL + "api/registros",
        post: API_URL + "api/registros",
        update: API_URL + "api/actualizar-registro/%ID%",
        filters: API_URL + "api/registros/filtros",
        no_presentacion: API_URL + "api/registro/razon-no-presentacion",
        deathline_date: API_URL + "api/registro/fecha-limite-bienes",
        assign_seller: API_URL + "api/registros/%ID%/vendedor",
        assign_follower: API_URL + "api/registros/%ID%/seguidor",
    },
    telegram: {
        send_message: API_TG + "bot%TOKEN%/sendMessage"
    },
    status: {
        get: API_URL + "api/estatus/",
        pop: API_URL + "api/estatus/observaciones",
        questions: API_URL + "api/estatus/preguntas",
        meeting: API_URL + "api/estatus/junta",
        presentation: API_URL + "api/estatus/presentacion",
        ticket: API_URL + "api/estatus/ficha",
        final: API_URL + "api/estatus/final",
        get_final: API_URL + "api/estatus/final/",
        disable: API_URL + "api/estatus/deshabilitar",
        get_disable: API_URL + "api/estatus/deshabilitar/",
        remarks: API_URL + "api/estatus/observaciones",
        products: API_URL + "api/%ID%/product-status",
    },
    preventa: {
        get: API_URL_PRE + "api/consultaPreventa",
        store: API_URL_PRE + "api/registroPreventa",
        filters: API_URL_PRE + "api/preventa/filtros",
        assign_seller: API_URL_PRE + "api/preventas/%ID%/vendedor",
        assign_follower: API_URL_PRE + "api/preventas/%ID%/seguidor",
        email_notification: {
            store: API_URL_PRE + "guardar-correo"
        },
        status: {
            update: API_URL_PRE + "api/estatusPreventa",
            remarks: API_URL_PRE + "api/actualizarObservacionesIP",
        }
    },
    education: {
        get: API_URL_EDU + "api/consultaEducacion",
        store: API_URL_EDU + "api/registroEducacion",
        filters: API_URL_EDU + "api/educacion/filtros",
        assign_seller: API_URL_EDU + "api/educaciones/%ID%/vendedor",
        assign_follower: API_URL_EDU + "api/educaciones/%ID%/seguidor",
        estatus: {
            update: API_URL_EDU + "api/estatusEdu",
            remarks: API_URL_EDU + "api/actualizarObservaciones"
        }
    }
}

export default endpoints;