const DateFormatter = () => { };

function asString(value) {
    return value < 10 ? `0${value}` : `${value}`;
}

DateFormatter.fullDate = (datetime) => {
    try {
        const date = new Date(datetime);

        const day = asString(date.getDate());
        const month = asString(date.getMonth() + 1);
        const hours = asString(date.getHours());
        const minutes = asString(date.getMinutes());

        return `${day}/${month}/${date.getFullYear()} ${hours}:${minutes}`;
    } catch (error) {
        return datetime;
    }
};

DateFormatter.fullDateNormal = (datetime, reverse = false) => {
    try {
        const date = new Date(datetime);

        const day = asString(date.getDate());
        const month = asString(date.getMonth() + 1);
        const hours = asString(date.getHours());
        const minutes = asString(date.getMinutes());

        return reverse ? `${date.getFullYear()}-${month}-${day} ${hours}:${minutes}`
            : `${day}-${month}-${date.getFullYear()} ${hours}:${minutes}`;
    } catch (error) {
        return datetime;
    }
};

DateFormatter.date = (datetime, reverse = false) => {
    try {
        const date = new Date(datetime);

        const day = asString(date.getDate());
        const month = asString(date.getMonth() + 1);

        return reverse ? `${date.getFullYear()}/${month}/${day}`
            : `${day}/${month}/${date.getFullYear()}`;
    } catch (error) {
        return datetime;
    }
};

DateFormatter.dateNormal = (datetime, reverse = false) => {
    try {
        const date = new Date(datetime);

        const day = asString(date.getDate());
        const month = asString(date.getMonth() + 1);

        return reverse ? `${date.getFullYear()}-${month}-${day}`
            : `${day}-${month}-${date.getFullYear()}`;
    } catch (error) {
        return datetime;
    }
};

DateFormatter.time = (datetime) => {
    try {
        const date = new Date(datetime);

        const hours = asString(date.getHours());
        const minutes = asString(date.getMinutes());

        return `${hours}:${minutes}`;
    } catch (error) {
        return datetime;
    }
};

export default DateFormatter;